Error al actualizar Ubuntu 18.04 a 20.01 No se pudo calcular la actualización. Se produjo un problema irresoluble al calcular la actualización.

Asked by primy on 2020-10-27

Al intentar actualizar de Ubuntu 18.04 LTS a la versión 20.04 LTS recibía el siguiente mensaje:

 e produjo un problema irresoluble al calcular la actualización.

 Esto podría deberse a:
 * Paquetes de software no oficiales, no proporcionados por Ubuntu
Utilice la herramienta «ppa-purge» desde el paquete
ppa-purge para quitar software de una PPA de Launchpad PPA e
intente actualizar de nuevo.

Si nada de esto es aplicable, entonces informe de este error usando el comando «ubuntu-bug ubuntu-release-upgrader-core» en una terminal. Si quiere investigar el problema por su cuenta, los registros en «/var/log/dist-upgrade» contienen detalles de la actualización; en particular, consulte «main.log» y «apt.log».

La solución en mi caso fue desinstalar los controladores de video fglrx AMD / ATI patentados de la siguiente manera:

sudo apt-get remove fglrx fglrx-amdcccle-updates
sudo apt-get remove xserver-xorg-video-ati:amd64

Question information

Language:
Spanish Edit question
Status:
Answered
For:
Ubuntu ubuntu-release-upgrader Edit question
Assignee:
No assignee Edit question
Last query:
2020-10-27
Last reply:
2020-10-28
Bernard Stafford (bernard010) said : #1

Si tiene algún paquete de PPA en su sistema, le solicita que elimine esos paquetes. PPA no se han sometido al mismo proceso de validación de paquetes de Ubuntu como regulares. Sin contar los 2 controladores que ya eliminó.
Abrir una terminal: dmesg | less [Vea el registro de arranque detallado y verifique si hay errores o fallas]
                                        sudo apt list –-installed | less [Esto enumera los paquetes instalados]
sudo apt-get install ppa-purge [En primer lugar, tendría que instalar PPA de purga]
sudo ppa-purge ppa-url [Utilice este comando para eliminar los PPA]
Reinicie su computadora y luego intente la actualización a 20.04 nuevamente.

Can you help with this problem?

Provide an answer of your own, or ask primy for more information if necessary.

To post a message you must log in.